Ignore:
Timestamp:
Sep 24, 2012, 5:28:44 AM (7 years ago)
Author:
jeremyhu@…
Message:

webkit-gtk: Use compiler blacklisting from base

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/www/webkit-gtk/Portfile

    r97977 r98052  
    144144# 1.8.2:
    145145# ./Source/WebCore/editing/Editor.h:388:18: error: 'willDetachPage' marked 'override' but does not override any member functions
    146 if {${configure.compiler} == "clang"} {
    147     configure.compiler llvm-gcc-4.2
    148 }
     146compiler.blacklist-append clang
    149147
    150148# https://trac.macports.org/ticket/34044
    151 if {${configure.compiler} == "gcc-4.0" && [vercmp ${xcodeversion} 3.0] >= 0} {
    152     configure.compiler gcc-4.2
     149if {[vercmp ${xcodeversion} 3.0] >= 0} {
     150    compiler.blacklist-append gcc-4.0
    153151}
    154152
Note: See TracChangeset for help on using the changeset viewer.